Bug 476435 - Review Request: sugar-record - Recording tool for Sugar
Review Request: sugar-record - Recording tool for Sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-12-14 13:01 EST by Fabian Affolter
Modified: 2009-09-01 14:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: 64-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 09:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 9304 None None None Never

  None (edit)
Description Fabian Affolter 2008-12-14 13:01:13 EST
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-record.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-record-60-1.fc10.src.rpm

Project website: http://wiki.laptop.org/go/Record

Description: 
Record is the basic rich-media capture activity for the laptop. It 
lets you capture still images, video, and/or audio. It has a simple 
interface and works in both laptop and ebook mode. An interface for 
sharing pictures among multi XOs during a picture-taking session is
a hallmark of the Record activity.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=998124

[fab@laptop24 i386]$ rpmlint sugar-record-60*
sugar-record.i386: W: devel-file-in-non-devel-package /usr/share/sugar/activities/Record.activity/_camera.c
sugar-record.i386: W: non-standard-group Sugar/Activities
sugar-record.i386: E: arch-dependent-file-in-usr-share /usr/share/sugar/activities/Record.activity/_camera.o
sugar-record.i386: E: arch-dependent-file-in-usr-share /usr/share/sugar/activities/Record.activity/_camera.so
sugar-record.i386: E: library-not-linked-against-libc /usr/share/sugar/activities/Record.activity/_camera.so
1 packages and 0 specfiles checked; 3 errors, 2 warnings.

[fab@laptop24 SRPMS]$ rpmlint sugar-record-60-1.fc10.src.rpm 
sugar-record.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I guess that there will be more to do on this package because it is not noarch and the camera stuff will not work on Fedora.
Comment 1 Peter Robinson 2009-03-02 08:19:57 EST
Hi Fabian. What is the reason for the camera stuff not working on Fedora?
Comment 2 Peter Robinson 2009-04-17 06:57:13 EDT
Hi Fabian,

Status? I can review this once the above had been clarified.

Peter
Comment 3 Peter Robinson 2009-04-19 16:57:52 EDT
I've tried this on F11 and it doesn't work. I've filed this upstream bug on laptop.org trac.

http://dev.laptop.org/ticket/9304
Comment 4 Fabian Affolter 2009-04-24 16:41:15 EDT
I will wait for a release tarball and update the package to 61.

http://dev.sugarlabs.org/ticket/801
Comment 5 Steven M. Parrish 2009-06-26 20:24:25 EDT
Fabian,

where do we stand on this?  Per the above ticket it looks like they spun up a tarball.  Do you have a version of this that will work on F11 or F12?

Steven
Comment 6 Fabian Affolter 2009-06-27 05:51:42 EDT
Now there is a tarball available.  I will update the package and submit the new files here.
Comment 7 Peter Robinson 2009-07-03 09:43:14 EDT
(In reply to comment #6)
> Now there is a tarball available.  I will update the package and submit the new
> files here.  

Is there an ETA on this?
Comment 8 Jason Tibbitts 2009-07-14 14:07:25 EDT
Setting the fedora-review flag since that seems to have been missed.
Comment 9 Peter Robinson 2009-07-14 15:01:03 EDT
(In reply to comment #8)
> Setting the fedora-review flag since that seems to have been missed.  

Nope. Not missed. Awaiting for a package update that compiles on F11/F12
Comment 10 Peter Robinson 2009-07-15 09:41:40 EDT
(In reply to comment #6)
> Now there is a tarball available.  I will update the package and submit the new
> files here.  

Fabian: any update?
Comment 11 Fabian Affolter 2009-07-17 08:50:49 EDT
sugar-record is no longer noarch.  There is some work to do...I post the new files but first I have to fix the rpmlint issues.

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-record.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-record-64-1.fc11.src.rpm
Comment 12 Peter Robinson 2009-07-17 09:08:52 EDT
Thanks for the update. I'll start a review on it shortly so if there's anything else that needs updates you can do it at the same time as the rpmlint issues.
Comment 13 Peter Robinson 2009-07-18 05:54:49 EDT
An initial review. Mostly looks good. Just some rpmlint bits to cleanup as you
previously mentioned.

+ rpmlint output

rpmlint sugar-record-64-1.fc11.src.rpm sugar-record-64-1.fc12.x86_64.rpm
sugar-record.spec 
sugar-record.src: W: non-standard-group Sugar/Activities
sugar-record.x86_64: W: non-standard-group Sugar/Activities
sugar-record.x86_64: E: no-binary
sugar-record.x86_64: W: devel-file-in-non-devel-package
/usr/share/sugar/activities/Record.activity/gst/gstvideorate.h
sugar-record.x86_64: W: devel-file-in-non-devel-package
/usr/share/sugar/activities/Record.activity/gst/gstvalve.c
sugar-record.x86_64: W: devel-file-in-non-devel-package
/usr/share/sugar/activities/Record.activity/gst/gstvalve.h
sugar-record.x86_64: E: zero-length
/usr/share/sugar/activities/Record.activity/gst/ChangeLog
sugar-record.x86_64: E: zero-length
/usr/share/sugar/activities/Record.activity/gst/NEWS
sugar-record.x86_64: E: zero-length
/usr/share/sugar/activities/Record.activity/gst/README
sugar-record.x86_64: E: zero-length
/usr/share/sugar/activities/Record.activity/gst/AUTHORS
sugar-record.x86_64: W: devel-file-in-non-devel-package
/usr/share/sugar/activities/Record.activity/gst/gstvideorate.c
sugar-record.x86_64: W: devel-file-in-non-devel-package
/usr/share/sugar/activities/Record.activity/camerac/camera.c
sugar-record.spec:6: W: non-standard-group Sugar/Activities
2 packages and 1 specfiles checked; 5 errors, 8 warnings.

For the zero length doc files just remove them.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  920060cf3238d457691de659c12c25b2edc5fca2  Record-64.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
? header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 14 Peter Robinson 2009-08-03 08:17:56 EDT
Fabian, is there a status update on this?
Comment 15 Fabian Affolter 2009-08-04 17:24:36 EDT
Thanks for your help.

(In reply to comment #13)
> An initial review. Mostly looks good. Just some rpmlint bits to cleanup as you
> previously mentioned.
> 
> + rpmlint output

The rpmlint output now

[fab@laptop09 i586]$ rpmlint sugar-record*
sugar-record.i586: W: non-standard-group Sugar/Activities
sugar-record.i586: E: no-binary
sugar-record.i586: W: devel-file-in-non-devel-package /usr/share/sugar/activities/Record.activity/camerac/camera.c
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

I removed the embedded gst stuff and added it as a requirement.  

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-record.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-record-64-2.fc11.src.rpm
Comment 16 Peter Robinson 2009-08-06 16:01:00 EDT
> http://fab.fedorapeople.org/packages/XO/sugar-record-64-2.fc11.src.rpm  

Unfortunately you've uploaded the i586.rpm file rather than the srpm.
Comment 17 Fabian Affolter 2009-08-07 14:20:08 EDT
Please try again.

http://fab.fedorapeople.org/packages/XO/sugar-record-64-2.fc11.src.rpm
Comment 18 Peter Robinson 2009-08-10 18:28:26 EDT
A few minor issues.

This should be removed:
/usr/share/sugar/activities/Record.activity/camerac/camera.c

The COPYING/README files are included twice:
/usr/share/sugar/activities/Record.activity/COPYING
/usr/share/sugar/activities/Record.activity/NEWS

Also does the removal of the embedded gst stuff make the package noarch again?
Comment 19 Fabian Affolter 2009-08-16 17:11:15 EDT
Thanks Peter

(In reply to comment #18)
> A few minor issues.
> 
> This should be removed:
> /usr/share/sugar/activities/Record.activity/camerac/camera.c

Removed
 
> The COPYING/README files are included twice:
> /usr/share/sugar/activities/Record.activity/COPYING
> /usr/share/sugar/activities/Record.activity/NEWS

Fixed
 
> Also does the removal of the embedded gst stuff make the package noarch again?  

The package is noarch.

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-record.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-record-64-3.fc11.src.rpm
Comment 20 Peter Robinson 2009-08-18 10:33:12 EDT
Looks fine now. APPROVED!
Comment 21 Fabian Affolter 2009-08-18 11:42:41 EDT
New Package CVS Request
=======================
Package Name: sugar-record
Short Description: Recording tool for Sugar
Owners: fab
Branches: F-11 F-10
InitialCC:
Comment 22 Jason Tibbitts 2009-08-19 17:04:20 EDT
CVS done.
Comment 23 Fedora Update System 2009-08-20 19:15:01 EDT
sugar-record-64-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-record-64-3.fc11
Comment 24 Fedora Update System 2009-08-20 19:15:07 EDT
sugar-record-64-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-record-64-3.fc10
Comment 25 Fedora Update System 2009-08-21 20:58:56 EDT
sugar-record-64-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-record'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8838
Comment 26 Fedora Update System 2009-08-21 21:00:15 EDT
sugar-record-64-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-record'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8851
Comment 27 Peter Robinson 2009-09-01 09:24:01 EDT
Closing as its now in rawhide.
Comment 28 Fedora Update System 2009-09-01 14:06:18 EDT
sugar-record-64-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2009-09-01 14:08:36 EDT
sugar-record-64-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.